Complete a one-click DNS return
Consumes the Domain Connect provider's redirect. Validates the signed state and, when the DNS provider reports success, starts checking the domain's records.
Consumes the Domain Connect provider's redirect. Validates the signed state and, when the DNS provider reports success, starts checking the domain's records. A DNS provider error is reported separately from a customer cancelling setup.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
state*string
error?string|null
errorDescription?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/domains/string/domain-connect/complete" \ -H "Content-Type: application/json" \ -d '{ "state": "string" }'{ "status": "applied"}